Package org.codehaus.janino

# Interface Visitor.ElementValueVisitor<R,EX extends Throwable>

Type Parameters:
  `R` - The type of the object returned by the `visit*()` methods
  `EX` - The exception that the `visit*()` methods may throw

Enclosing class:
  `Visitor`

public static interface Visitor.ElementValueVisitor<R,EX extends Throwable>

## Method Summary

Modifier and Type
Method
Description
`R`
`visitAnnotation(Java.Annotation a)`
Invoked by `Java.ElementValue.accept(Visitor.ElementValueVisitor)`
`R`
`visitElementValueArrayInitializer(Java.ElementValueArrayInitializer evai)`
Invoked by `Java.ElementValueArrayInitializer.accept(Visitor.ElementValueVisitor)`
`R`
`visitRvalue(Java.Rvalue rv)`
Invoked by `Java.Rvalue.accept(Visitor.ElementValueVisitor)`

## Method Details

### visitRvalue

@Nullable R visitRvalue(Java.Rvalue rv) throws EX
Invoked by `Java.Rvalue.accept(Visitor.ElementValueVisitor)`

Throws:
  `EX`

### visitAnnotation

@Nullable R visitAnnotation(Java.Annotation a) throws EX
Invoked by `Java.ElementValue.accept(Visitor.ElementValueVisitor)`

Throws:
  `EX`

### visitElementValueArrayInitializer

@Nullable R visitElementValueArrayInitializer(Java.ElementValueArrayInitializer evai) throws EX
Invoked by `Java.ElementValueArrayInitializer.accept(Visitor.ElementValueVisitor)`

Throws:
  `EX`